Subject: Re: bug#7837: 23.2.91; Logging out is confusing if Emacs has background processes running

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 22:55:01 +0200

Reuben Thomas <[email-masked]> writes:

> I 19m running a more-or-less tip-of-emacs-23 build, largely because it has
> improved X session support.
>
> When Emacs has no background processes running, logging out of my GNOME
> session and back in works fine: Emacs automatically saves its state (I
> use desktop), and is re-run when I log back in.
>
> However, if I have a background process running, for instance a
> debugger, then GNOME reports that Emacs is busy, but Emacs itself says
> nothing. If I try to quit Emacs (C-x C-c, as normal), then it says it
> has running processes and prompts to exit anyway, as normal.
>
> What is missing, therefore, is for Emacs to act as if I 19ve tried to quit
> it when it is signalled by the X session manager. (This is what other
> apps do: they immediately bring up the  1cYou have unsaved documents 1d
> dialog, or equivalent.)

How does the window manager communicate to the apps that it's closing
down?  Is there a standard?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no